Crystal Space: csCommonImageFile Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csCommonImageFile Class Reference
[Common Plugin Classes]

A base class for image loader plugin iImage implementations. More...

`#include <csplugincommon/imageloader/commonimagefile.h>`

Inheritance diagram for csCommonImageFile:

[legend]
List of all members.

## Protected Member Functions
virtual const uint8 * | GetAlpha ()
| Get alpha map for 8-bit paletted image.
virtual const void * | GetImageData ()
| Get image data: returns either (csRGBpixel *) or (unsigned char *) depending on format.
virtual void | GetKeyColor (int &r, int &g, int &b) const
| Get the keycolour stored with the image.
virtual const csRGBpixel * | GetPalette ()
| Get image palette (or 0 if no palette).
virtual csRef< iDataBuffer > | GetRawData () const
| Get the raw data of the image (or 0 if raw data is not provided).
virtual const char * | GetRawFormat () const
| Get a string identifying the format of the raw data of the image (or 0 if raw data is not provided).
virtual bool | HasKeyColor () const
| Check if image has a keycolour stored with it.
virtual csRef< iImageFileLoader > | InitLoader (csRef< iDataBuffer > source)=0
| Create a loader object, which will handle the actual loading.
virtual bool | Load (csRef< iDataBuffer > source)
| Load an image from a data buffer.
void | MakeImageData ()
| Convert data from the loader to actual image data.
void | WaitForJob () const
| Wait for the current image loading job to finish.
## Static Protected Member Functions
static const char * | DataTypeString (csLoaderDataType dataType)
| Convert an image loader data type into a raw data description (if supported).
## Protected Attributes
csRef< iJobQueue > | jobQueue
| Reference to job queue.
csRef< LoaderJob > | loadJob
| Reference to the job for loading this image.
iObjectRegistry * | object_reg
## Friends
class | csCommonImageFileLoader
## Classes
class | LoaderJob

## Detailed Description

A base class for image loader plugin iImage implementations.

Definition at line 139 of file commonimagefile.h.

## Member Function Documentation

static const char* csCommonImageFile::DataTypeString | ( | csLoaderDataType | dataType | ) | `[static, protected]`

Convert an image loader data type into a raw data description (if supported).

virtual const uint8* csCommonImageFile::GetAlpha | ( |  | ) | `[protected, virtual]`

Get alpha map for 8-bit paletted image.

RGBA images contains alpha within themself. If image has no alpha map, or the image is in RGBA format, this function will return 0.

Reimplemented from csImageMemory.

virtual const void* csCommonImageFile::GetImageData | ( |  | ) | `[protected, virtual]`

Get image data: returns either (csRGBpixel *) or (unsigned char *) depending on format.

Note that for RGBA images the csRGBpixel structure contains the alpha channel as well, so GetAlpha (see below) method will return 0 (because alpha is not stored separately, as for paletted images).

Reimplemented from csImageMemory.

virtual void csCommonImageFile::GetKeyColor | ( | int & | r,
|  | int & | g,
|  | int & | b |
| ) |  |  | const`[inline, protected, virtual]`

Get the keycolour stored with the image.

Reimplemented from csImageMemory.

Definition at line 203 of file commonimagefile.h.

virtual const csRGBpixel* csCommonImageFile::GetPalette | ( |  | ) | `[protected, virtual]`

Get image palette (or 0 if no palette).

Reimplemented from csImageMemory.

virtual csRef<iDataBuffer> csCommonImageFile::GetRawData | ( |  | ) | const`[protected, virtual]`

Get the raw data of the image (or 0 if raw data is not provided).

Reimplemented from csImageBase.

virtual const char* csCommonImageFile::GetRawFormat | ( |  | ) | const`[protected, virtual]`

Get a string identifying the format of the raw data of the image (or 0 if raw data is not provided).

Reimplemented from csImageBase.

virtual bool csCommonImageFile::HasKeyColor | ( |  | ) | const`[inline, protected, virtual]`

Check if image has a keycolour stored with it.

Reimplemented from csImageMemory.

Definition at line 192 of file commonimagefile.h.

virtual csRef<iImageFileLoader> csCommonImageFile::InitLoader | ( | csRef< iDataBuffer > | source | ) | `[protected, pure virtual]`

Create a loader object, which will handle the actual loading.

Note: the returned loader should have a proper width, height, format, data type and keycolor flag (note not the actual color) already set.

virtual bool csCommonImageFile::Load | ( | csRef< iDataBuffer > | source | ) | `[protected, virtual]`

Load an image from a data buffer.

void csCommonImageFile::MakeImageData | ( |  | ) | `[protected]`

Convert data from the loader to actual image data.

void csCommonImageFile::WaitForJob | ( |  | ) | const`[protected]`

Wait for the current image loading job to finish.

## Member Data Documentation

csRef<iJobQueue> csCommonImageFile::jobQueue`[protected]`

Reference to job queue.

Definition at line 164 of file commonimagefile.h.

csRef<LoaderJob> csCommonImageFile::loadJob`[protected]`

Reference to the job for loading this image.

Definition at line 162 of file commonimagefile.h.

The documentation for this class was generated from the following file:

- csplugincommon/imageloader/commonimagefile.h